import { core, FlagsConfig, SfdxCommand } from "@salesforce/command";
import { AnyJson } from "@salesforce/ts-types";
export default class OrgCoverage extends SfdxCommand {
    static description: string;
    static examples: string[];
    protected static flagsConfig: FlagsConfig;
    protected static requiresUsername: boolean;
    run(): Promise<AnyJson>;
    getApexCoverage(conn: core.Connection): Promise<any>;
    getApexCoverageByDetails(conn: core.Connection, outputDir: string): Promise<any[]>;
    generateJsonOutput(testResult: AnyJson, outputDir: string): Promise<void>;
    generateCSVOutput(testResult: any[], outputDir: string): Promise<void>;
}
export declare class ApexCoverage {
    coverage: number;
}
